






EXIT

\call get_titles(?,?,?,?,?) :(string=null, string=null, string=null, int=null, ora_rs)
\call get_titles(?,?,?,?,?) :(string=null, string=null, string='the', int=null, ora_rs)
\call get_orders(?,?) :(string=book,ora_rs)

\call get_authors(?) :(ora_rs)
\call get_authors(?,?,?,?) :(string=null, string=null, int=null, ora_rs)
\call get_authors(?,?,?,?) :(string=null, string=null, int=1, ora_rs)
\call get_authors_count(?) :(int=null out)
select 
	CASE WHEN x.picture IS NULL THEN 0 ELSE 1 END as hasImg, 
	x.au_id, x.au_lname, x.au_fname 
from APPDEMO.AUTHORS x
select * from APPDEMO.AUTHORS

select pub_name, pub_id from publishers
select au_fname, au_lname, au_id from authors




		SELECT 
			(CASE WHEN picture IS NULL THEN 'No' ELSE 'Yes' END) as img,
			title, 
			type, 
			isbn, 
			(select a.au_fname||' '||a.au_lname from authors a    where a.au_id  = t.au_id)  as author_name, 
			(select p.pub_name                  from publishers p where p.pub_id = t.pub_id) as publisher_name, 
			pubdate, 
			price, 
			advance, 
			total_sales, 
			notes, 
			contract, 
			title_id, 
			au_id, 
			pub_id 
		from titles t
		where upper(title) like '%'||trim(upper('the'))||'%'
		  and (CASE WHEN picture IS NULL THEN 0 ELSE 1 END) = null or null is null
		order by title_id

select cast(1 as number) from dual
go
select cast(1 as number(1)) from dual

